diff -Naur LA.AF.1.1.1-03210-8064.0_org/src/ap/wnm_ap.c LA.AF.1.1.1-03210-8064.0_new/src/ap/wnm_ap.c
--- LA.AF.1.1.1-03210-8064.0_org/src/ap/wnm_ap.c	2018-07-26 10:07:18.694051121 +0800
+++ LA.AF.1.1.1-03210-8064.0_new/src/ap/wnm_ap.c	2019-06-03 17:05:21.686488263 +0800
@@ -199,6 +199,13 @@
 	u8 *tfsreq_ie_end = NULL;
 	u16 tfsreq_ie_len = 0;
 
+	if (len < 1) {
+		wpa_printf(MSG_DEBUG,
+			   "WNM: Ignore too short WNM-Sleep Mode Request from "
+			   MACSTR, MAC2STR(addr));
+		return;
+	}
+
 	dialog_token = *pos++;
 	while (pos + 1 < frm + len) {
 		u8 ie_len = pos[1];
